This page docuements the Korg API for users of the package. Low-level functions that only people 
digging into the guts of Korg will be interested in can be found on the 
[developer documentation](../devdocs).

# Top-level functions
If you are synthesize a spectrum Korg, these are the functions you will call.  
These functions are exported, so if you do `using Korg`, you can call them unquallified (i.e.
`synthesize` instead of `Korg.synthesize`).  

```@docs
synthesize
read_linelist
read_model_atmosphere
```

# Secondary functions
You don't need use these to synthesize spectra, but they might be relevant depending on what you are 
doing.

## Postprocessing
These are used to transform observational or synthetic spectra.

```@docs
Korg.rectify
Korg.constant_R_LSF
```

## Line absorption 
These functions can be used to directly compute line opacities. 

```@docs
Korg.line_absorption!
Korg.line_profile
Korg.hydrogen_line_absorption
Korg.setup_hydrogen_stark_profiles
Korg.voigt
```

## Continuum absorption
These function can be used to directly compute continuum opacities.

```@docs
Korg.total_continuum_opacity
Korg.ContinuumOpacity.H_I_bf
Korg.ContinuumOpacity.H_I_ff
Korg.ContinuumOpacity.Hminus_bf
Korg.ContinuumOpacity.Hminus_ff
Korg.ContinuumOpacity.H2plus_bf_and_ff
Korg.ContinuumOpacity.He_II_bf
Korg.ContinuumOpacity.He_II_ff
Korg.ContinuumOpacity.Heminus_ff
Korg.ContinuumOpacity.electron_scattering
```

## Statistical mechanics
These functions can be used to calculate the number densities of all species in a given atospheric 
layer, or other statmech calculations. 

```@docs
Korg.saha_ion_weights
Korg.molecular_equilibrium_equations
Korg.molecular_equilibrium
```

## Misc

```@docs
Korg.blackbody
Korg.get_absolute_abundances
Korg.air_to_vacuum
Korg.vacuum_to_air
```
